dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Экспорт координат выбранных точек в *.txt

Экспорт координат выбранных точек в *.txt

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 14.05.2008, 16:06
Экспорт координат выбранных точек в *.txt
slan.ru
 
Регистрация: 13.05.2008
Сообщений: 6

slan.ru вне форума Вставить имя

Добрый день, уважаемые знатоки!

Сразу прошу, не пинайте ногами и не отправляйте в поиск. Все темы, в заголовках которых есть слово "координаты" и "координат" прочитал. Нашел много полезного для себя и практически то, что искал. Но многое остается в полутьме для моего мозга. Сама суть моего поста.

Я работаю в дорожном строительстве. С недавнего времени моя организация приобрела электронный тахеометр. На данный момент ось дороги выносим в натуру с помощью него. Координаты X и Y узловых точек по оси беру из CREDO_MIX, а координату Z подставляю по мере необходимости и вида выноса. Для фрезеровки, нижнего слоя, верхнего, и.т.п.

Возникла необходимость выноса в натуру кромок проезжей части. Но они не всегда соответствуют виду оси. В городских условиях могут быть примыкания, карманы для автобусных остановок и.т.п. Требуется (для начала) получить координаты узловых точек. Хочу начать с того, что бы получить координаты ВЫБРАННЫХ ТОЧЕК в текстовый файл. Последовательность:

1. Проставляем токи в требуемых узлах.
2. Выбираем необходимые точки.
3. Запускаем макрос.
4. Макрос создает в каталоге текстовый файл c названием как у чертежа.
5. Туда записываются координаты примитивов (вроде бы так тут это называют) в формате:
Pt X Y Z <Space>, где
Pt - для начала просто нумерация точек по мере добавления в файл,
X Y Z - координаты,
<Space> - разделитель.

От Вас прошу помощи. В программировании мало понимаю, но для меня пока что ясно, что скрипты можно создать как макрос - VBA, и LISP - на собственном языке. Хотелось бы увидеть такой скрипт, я думаю он не будет громоздким, на удобном Вам языке, но с описанием. Начну разбираться - с чего-нибудь надо начинать. Для начала поставленная задача будет минимальной, в дальнейшем хочу усложнить задачу собственными силами, если потяну.

Сразу оговорюсь, возможности купить ToolPak, Express и уж тем более Civil у меня нет, , да и не требуется пока мне выполнение задач отличных от этой. Поэтому надеюсь на Вашу помощь в написании такого скрипта. А уж за описание процедуры - буду безгранично благодарен.

P.S> Если требуются еще исходные данные - готов в найкротчайшие сроки предоставить их.
Просмотров: 100104
 
Непрочитано 06.01.2011, 02:34
#41
G-RAV

Геодезист
 
Регистрация: 16.08.2009
г.Новосибирск
Сообщений: 78
Отправить сообщение для G-RAV с помощью ICQ


Цитата:
Сообщение от Disney Посмотреть сообщение
Владимир, огромное спасибо!
Я понимаю, что прошло уже больше полу года, и возвращаться к старым программам нет большого желания, но хотел бы вас попросить, если возможно, добавить в вашу программу следующие возможности:
1) К списку типов объектов: круг и текст,
2) Для 2D полилинии, в качестве Z, брать её уровень,
3) По запросу, в качестве Z, брать значение из близлежащего текста.
4) При маркировке, использовать префикс в номере точки.
Уважаемый, Disney! Есть ли решение по 3-му пункту? Очень было бы полезно, потому как "вертикалка" обычно "прилетает", состоящая не из блоков, а из круг/точка и текст/мтекст...
G-RAV вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 06.01.2011, 05:16
#42
Disney

Геодезист
 
Регистрация: 12.03.2009
Сибирь (где медведи по улицам ходят)
Сообщений: 859
Отправить сообщение для Disney с помощью Skype™


Цитата:
Сообщение от G-RAV Посмотреть сообщение
Цитата:
Сообщение от Disney Посмотреть сообщение
3) По запросу, в качестве Z, брать значение из близлежащего текста.
Есть ли решение по 3-му пункту? Очень было бы полезно, потому как "вертикалка" обычно "прилетает", состоящая не из блоков, а из круг/точка и текст/мтекст...
Посмотри темы Создание точек с высотой из окружностей и близлежащего текста и Перенос из содержания текста в координату z рядом стоящей точки
__________________
Почему все вдруг становятся умными, когда уже не надо?

Последний раз редактировалось Disney, 10.01.2011 в 20:35.
Disney вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 10.01.2011, 06:54
#43
MANUL

Авиация
 
Регистрация: 27.11.2010
Санкт-Петербург
Сообщений: 20
Отправить сообщение для MANUL с помощью ICQ Отправить сообщение для MANUL с помощью Skype™


о программе вставке и подписывания: Олегу и Диснею.
Однако. Щас буим пробовать.
Команда trans не прошла. PTCAD вставляет отлично только в первоначальной системе. Очень подозрительно однокос. Неужели я нечто не верно делаю?
во всяком случае попробую сейчас Geo_Import_v1_3.VLX.
Если инет будет работать с ближайшие часы то отпишусь.

Последний раз редактировалось MANUL, 10.01.2011 в 13:04.
MANUL вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 10.01.2011, 20:34
#44
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Цитата:
Сообщение от MANUL Посмотреть сообщение
о программе вставке и подписывания: Олегу и Диснею.
Однако. Щас буим пробовать.
Команда trans не прошла. PTCAD вставляет отлично только в первоначальной системе. Очень подозрительно однокос. Неужели я нечто не верно делаю?
во всяком случае попробую сейчас Geo_Import_v1_3.VLX.
Если инет будет работать с ближайшие часы то отпишусь.
Пробуй еще раз
Код:
[Выделить все]
(defun C:PTCAD	(/ fname fd hgt p1 p2 strline strlist strtext)

  (defun emake-pt  (pt)
    (entmake
      (list
	(cons 0 "POINT")
	(cons 100 "AcDbEntity")
	(cons 100 "AcDbPoint")
	(cons 10 (trans pt 1 0));<--WCS
	(cons 8 "0")
	)
      )
    )

  (defun emake-mtext  (p1 p2 txt)
    (entmake
      (list
	(cons 0 "MTEXT")
	(cons 100 "AcDbEntity")
	(cons 100 "AcDbMText")	
	(cons 10 p1 )
	(cons 40 (getvar "TEXTSIZE"))
	(cons 41 (abs (- (car p2) (car p1))))
	(cons 7 (getvar "TEXTSTYLE"))
	(cons 1 txt)
	(cons 71 4)
	(cons 72 5)
	(cons 73 1)

	)
      )
    )


  (defun str2lst  (str sep / pos)
    (if	(setq pos (vl-string-search sep str))
      (cons (substr str 1 pos)
	    (str2lst
	      (substr str (+ (strlen sep) pos 1))
	      sep
	      )
	    )
      (list str)
      )
    )
  (if (and (setq fname (getfiled "Select a Points Data File"
				 (getvar "dwgprefix")
				 "txt"
				 4)
		 )
	   (setq fd (open fname "r")
		 )
	   )
    (progn

      (while (setq strline (read-line fd))
	(setq strlist (cons strline strlist))
	)

      (if fd
	(close fd))
      (setq strlist
	     (mapcar '(lambda (x) (str2lst x " ")) strlist)
	    )
      (if (/= (getvar "textsize") 2.5)		  ;<--change text size
	(progn
	  (setvar "textsize" 2.5)		  ;<--change text size
	  (setq hgt (getvar "textsize")))
	(setq hgt (getvar "textsize")))
      (setvar "PDSIZE" 2.5)
      (setvar "PDMODe" 34)
      (foreach item  strlist

	(emake-pt (trans 
	  (setq p1 (mapcar 'atof (list (car item) (cadr item) (caddr item)))) 0 1));<--UCS
	(emake-mtext
	 (trans (trans (polar p1 0 (* hgt 2)) 1 0) 0 1);<--WCS
	  (trans(trans (polar p1 (/ pi 4) (* hgt 10)) 1 0)0 1);<--WCS
	  (last item))
	)
      (command "_.zoom" "_O" "_L" ""
	       "_.zoom" ".5x")
      )
    )
  (princ)
  )
(prompt "\n|t***\tProgram loaded")
(C:PTCAD)
(prin1)
Олег (jr.) вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 15.01.2011, 05:14
#45
MANUL

Авиация
 
Регистрация: 27.11.2010
Санкт-Петербург
Сообщений: 20
Отправить сообщение для MANUL с помощью ICQ Отправить сообщение для MANUL с помощью Skype™


Олег здравствуйте, я попробовал с новым кодом. Наконец то приехал в Питер и могу отписаться в срочном порядке.
Нет эффекта с новым кодом.
Делал так, раз уж загружен предидущий код (ваш пост ) под названием PTCAD то файл в новым кодом я назвал PTCADa. Но с таким названием он не хочет работать (неизвестная команда PTCADa, нажмите F1) поэтому я просто изменил содержимое файла на новый код.
Ничего: вставляет так же в соответсвии с СК у которой ось X направлена на восток.Подразумеваю что ось Х координат направлена на восток а ось У направлена на север. Наверно это исходная система координат. Но МОЯ ПОЛЬЗОВАТЕЛЬСКАЯ повёрнута на угол 181.67 градусов против часовой стрелки. По пользовательской не получится вставить?

Есть ещё вопросы. Но хотелось бы решить сначала этот.

Делюсь опытом. Пользовался программой Диснея http://geodesist.ru/forum/topic.php?...274#1295056274
Та же проблема СК. Отписался с вопросами.
Может дело в выставлении геоположения и направления на север? Подскажите пожалуйста.
Миниатюры
Нажмите на изображение для увеличения
Название: PTCADa problem.jpg
Просмотров: 196
Размер:	61.8 Кб
ID:	51647  
MANUL вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 15.01.2011, 13:19
#46
Disney

Геодезист
 
Регистрация: 12.03.2009
Сибирь (где медведи по улицам ходят)
Сообщений: 859
Отправить сообщение для Disney с помощью Skype™


Цитата:
Сообщение от MANUL Посмотреть сообщение
Но МОЯ ПОЛЬЗОВАТЕЛЬСКАЯ повёрнута на угол 181.67 градусов против часовой стрелки
Дело в том что у тебя Map 3D, и я подозреваю там пользовательская СК, задаётся как-то иначе, чем в "голом" AutoCAD, и соответственно trans в неё не переводит. Попробуй вместо точек кружочки, их не надо trans-ить, они всегда создаются в текущей(пользовательской) СК
__________________
Почему все вдруг становятся умными, когда уже не надо?
Disney вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 15.01.2011, 14:34
#47
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Цитата:
Сообщение от MANUL Посмотреть сообщение
Олег здравствуйте, я попробовал с новым кодом. Наконец то приехал в Питер и могу отписаться в срочном порядке.
Нет эффекта с новым кодом.
Делал так, раз уж загружен предидущий код (ваш пост ) под названием PTCAD то файл в новым кодом я назвал PTCADa. Но с таким названием он не хочет работать (неизвестная команда PTCADa, нажмите F1) поэтому я просто изменил содержимое файла на новый код.
Ничего: вставляет так же в соответсвии с СК у которой ось X направлена на восток.Подразумеваю что ось Х координат направлена на восток а ось У направлена на север. Наверно это исходная система координат. Но МОЯ ПОЛЬЗОВАТЕЛЬСКАЯ повёрнута на угол 181.67 градусов против часовой стрелки. По пользовательской не получится вставить?

Есть ещё вопросы. Но хотелось бы решить сначала этот.

Делюсь опытом. Пользовался программой Диснея http://geodesist.ru/forum/topic.php?...274#1295056274
Та же проблема СК. Отписался с вопросами.
Может дело в выставлении геоположения и направления на север? Подскажите пожалуйста.
Следующая попытка (вроде все учел)
у меня работает нормально при любых вариантах которые я использовал
(крутил все 3 оси в разные стороны)

Код:
[Выделить все]
(defun C:PTCAD	(/ *error* fname fd hgt p1 p2 strline strlist strtext)
  (defun *error* (msg)
    (or (= msg "Fuction cancelled")
        (princ (strcat "Error: " msg))
    )
    (command "_undo" "_end")
    (princ)
  )
  (defun emake-pt  (pt)
    (entmake
      (list
	(cons 0 "POINT")
	(cons 100 "AcDbEntity")
	(cons 100 "AcDbPoint")
	(cons 10 (trans pt 1 0));<--WCS
	(cons 8 "0")
	)
      )
    )

  (defun emake-mtext  (p1 p2 txt)
    (entmake
      (list
	(cons 0 "MTEXT")
	(cons 100 "AcDbEntity")
	(cons 100 "AcDbMText")	
	(cons 10 (trans p1 1 0) )
	(cons 40 (getvar "TEXTSIZE"))
	(cons 41 (abs (- (car p2) (car p1))))
	(cons 7 (getvar "TEXTSTYLE"))
	(cons 1 txt)
	(cons 71 4)
	(cons 72 5)
	(cons 73 1)

	)
      )
    )


  (defun str2lst  (str sep / pos)
    (if	(setq pos (vl-string-search sep str))
      (cons (substr str 1 pos)
	    (str2lst
	      (substr str (+ (strlen sep) pos 1))
	      sep
	      )
	    )
      (list str)
      )
    )
  (command "_undo" "_begin")
  (if (and (setq fname (getfiled "Select a Points Data File"
				 (getvar "dwgprefix")
				 "txt"
				 4)
		 )
	   (setq fd (open fname "r")
		 )
	   )
    (progn

      (while (setq strline (read-line fd))
	(setq strlist (cons strline strlist))
	)

      (if fd
	(close fd))
      (setq strlist
	     (mapcar '(lambda (x) (str2lst x " ")) strlist)
	    )
      (if (/= (getvar "textsize") 2.5)		  ;<--change text size
	(progn
	  (setvar "textsize" 2.5)		  ;<--change text size
	  (setq hgt (getvar "textsize")))
	(setq hgt (getvar "textsize")))
      (setvar "PDSIZE" 2.5)
      (setvar "PDMODe" 34)
      (foreach item  strlist

	(emake-pt (trans 
	  (trans (setq p1 (mapcar 'atof (list (car item) (cadr item) (caddr item)))) 1 0)0 1 t));<--WCS
	(emake-mtext
	 (trans (trans (polar p1 0 (* hgt 2)) 1 0) 0 1 t);<--WCS
	  (trans(trans (polar p1 (/ pi 4) (* hgt 10)) 1 0)0 1 t);<--WCS
	  (last item))
	)
      (command "_.zoom" "_O" "_L" ""
	       "_.zoom" ".5x")
      )
    )
  (princ)
  )
(prompt "\n\t***\tВведите: PTCAD для старта программы")

(prin1)
Олег (jr.) вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 17.01.2011, 01:21
#48
MANUL

Авиация
 
Регистрация: 27.11.2010
Санкт-Петербург
Сообщений: 20
Отправить сообщение для MANUL с помощью ICQ Отправить сообщение для MANUL с помощью Skype™


Олег, спасибо огромное. Теперь отметки точек отображаются в соответсвии с моей СК.

С вашего позволения к вам ещё один вопрос Вам:
Не сочтите за идиотизм, но нельзя ли сделать так чтобы нименование точк не накладывалось на саму отметку? (см.вложение: "indication problem")


Товарищи, общий вопрос:
Каким образом отслеживать ещё и географические коодинаты? При условии что положение геомаркера задано и и текущему чертежу вроде назначена СК: LL84 (см. вложение: "LL84 problem"). Шаблон: map2d.

Заранее благодарю за внимание и лично кто в Питере.
Миниатюры
Нажмите на изображение для увеличения
Название: indication problem.jpg
Просмотров: 174
Размер:	98.7 Кб
ID:	51723  Нажмите на изображение для увеличения
Название: LL84 problem.jpg
Просмотров: 173
Размер:	25.5 Кб
ID:	51724  
MANUL вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 17.01.2011, 07:03
#49
Disney

Геодезист
 
Регистрация: 12.03.2009
Сибирь (где медведи по улицам ходят)
Сообщений: 859
Отправить сообщение для Disney с помощью Skype™


Цитата:
Сообщение от Олег (jr.) Посмотреть сообщение
Код:
[Выделить все]
(trans(trans point 1 0)0 1 t);<--WCS
Олег, объясни пожалуйста принцип этого "транс перетранс", в справке нашёл, что при t point рассматривается не как точка, а как координаты вектор перемещения. вроде всё чёрным по-русскому написано, но что-то не доходит, наверно я в школе уроки векторной алгебры прогулял...
Ну если мы вставляем в ПСК, то мне кажется, ещё стоит и вектор выдавливания DXF код 210, тоже trans-ить


Цитата:
Сообщение от MANUL Посмотреть сообщение
Каким образом отслеживать ещё и географические коодинаты?
Спроси у у пользователей Map в ветке Вертикальные решения на базе AutoCAD
А в голом AutoCAD, можно настроить географическое отображение координат(если предварительно установить ГЕОПОЛОЖЕНИЕ) в строке состояния см. вложение.

Соответственно вопрос знатокам: от куда и как можно выудить заданные параметры геоположения?
Вложения
Тип файла: flv Коорд.flv (833.6 Кб, 195 просмотров)
__________________
Почему все вдруг становятся умными, когда уже не надо?
Disney вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 17.01.2011, 08:42
#50
hwd

C, C++, C#
 
Регистрация: 07.10.2009
С-Пб.
Сообщений: 2,762
Отправить сообщение для hwd с помощью Skype™


Цитата:
Сообщение от MANUL Посмотреть сообщение
...
Не сочтите за идиотизм, но нельзя ли сделать так чтобы нименование точк не накладывалось на саму отметку? (см.вложение: "indication problem")...
можно. например так, как это показано здесь (использовать дин.блок).
__________________
Надеюсь, ты не социальный овощ? Это определяется делами! :welcome:

Последний раз редактировалось hwd, 30.04.2013 в 08:41. Причина: исправлена устаревшая ссылка
hwd вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 01.02.2011, 01:45
#51
MANUL

Авиация
 
Регистрация: 27.11.2010
Санкт-Петербург
Сообщений: 20
Отправить сообщение для MANUL с помощью ICQ Отправить сообщение для MANUL с помощью Skype™


Ещё раз здравствуйте.
Дисней, спасибо за совет но я так и не понял как сдвинуть блок атрибута (ну чтобы надпись не на точке светилась). Если есть где понятнее то не будете ли вы так любезны кинуть ссылку на видео ролик?

Олег, спасибо за PTCAD. но оказалась проблема.
я применил прогу к старому файлу (прилагаю). В нм есть уже географическая привязка, так как точки импортированы из Аксесса.

Но при нанесении точек на слой "0" содержимое остальных слоёв не индицируется. И на оборот: если я покажу слой какой то на карте (например там есть нужный мне для работы waypoints) то воспользовавшись командой PTCAD я не увижу точек.
Не могли бы вы помочь в этом? В чём дело? Вашей программе не пофигу где работать, есть же система координат привязанная к одной точке на карте. Странно, с новым файлом работает однако. С этим нет.
Вложения
Тип файла: dwg
DWG 2010
project.dwg (1.49 Мб, 3752 просмотров)

Последний раз редактировалось MANUL, 01.02.2011 в 01:51.
MANUL вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 01.02.2011, 13:22
#52
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Цитата:
Сообщение от MANUL Посмотреть сообщение
Странно, с новым файлом работает однако. С этим нет.
У меня не открывается твой чертеж (имею только версию 2009)
С другой стороны не уверен что помогу, поскольку в геграфических не работал вовсе,
смогу помочь только в общих вопросах)
Но на всякий случай перегрузи на указанную версию...

Последний раз редактировалось Олег (jr.), 01.02.2011 в 17:39. Причина: не открыть документ
Олег (jr.) вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 02.02.2011, 01:27
#53
MANUL

Авиация
 
Регистрация: 27.11.2010
Санкт-Петербург
Сообщений: 20
Отправить сообщение для MANUL с помощью ICQ Отправить сообщение для MANUL с помощью Skype™


вот файл из архива. Содержание тоже самое
дал сохранить только в LT2007. Не было выбора МАПа 2009.
Вложения
Тип файла: dwg
DWG 2010
complex.dwg (1.66 Мб, 3730 просмотров)
MANUL вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 02.02.2011, 18:27
#54
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Цитата:
Сообщение от MANUL Посмотреть сообщение
вот файл из архива. Содержание тоже самое
дал сохранить только в LT2007. Не было выбора МАПа 2009.
Не могу открыть даже через конвертер DwgTrueView
Вот лог:


Conversion File Format: AutoCAD 2007/LT 2007 Drawing Format
Conversion package type: In-place (overwrite files)
Converted DWG files: 0
Recovered DWG files: 0
Conversion errors: 1


Conversion Errors
Unconverted files:
The files listed below could not be saved due to a sharing violation or disk write problem.
C:\...\Олег\...\DwgRu\complex.dwg
Олег (jr.) вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 02.02.2011, 18:50
#55
Елпанов Евгений

программист
 
Регистрация: 20.12.2005
Москва
Сообщений: 1,440
Отправить сообщение для Елпанов Евгений с помощью Skype™


открыл файл в 2011 акаде и пересохранил в версии 2004.
Проверил в акаде 2008 - открывается...
Вложения
Тип файла: dwg
DWG 2004
complex.dwg (1.52 Мб, 3745 просмотров)
__________________
Чем гениальнее ваш план, тем меньше людей с ним будут согласны.
/Сунь Цзы/
Елпанов Евгений вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 02.02.2011, 19:28
#56
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Спасибо


MANUL
Я тут нашел ссылку:
http://www.movable-type.co.uk/scripts/latlong.html
моих мозгов маловато чтобы тут помочь, тут спец знания
вопроса нужны
Так что извини

А на нужный слой можешь поменять в коде сам - ищи группы в
локальных функциях:
(cons 8 "0")
и замени на:
(cons 8 "waypoints") или добавляй туда имя слоя как аргумент

Последний раз редактировалось Олег (jr.), 02.02.2011 в 20:29.
Олег (jr.) вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 24.02.2011, 09:40
#57
isheedo


 
Регистрация: 18.02.2011
Сообщений: 3


Цитата:
Сообщение от VVA Посмотреть сообщение
slan.ru Пробуй COORT для твоего примера
Описание
Экспорт координат указанных точек, выбранных объектов: точек, блоков, полилиний, сплайнов в текстовый файл, ексел с простановкой номеров
Текстовый файл — либо txt, либо csv.
Округление координат в соответствии с текущими настройками команды _UNITS (переменная LUPREC !!!)
!!!!!!!!!!!!!
Набрать в командной строке LUPREC и установить нужную точность округления.
!!!!!!!!!!

Определены 3 команды
COOR - экспорт координат
COORN -экспорт координат с нумерацией
COORT -экспорт координат с нумерацией, где номером считается ближайший к точке текст
*** Добавлено 26 августа
Из темы Lisp: coordinates of points to excel sheet (+point number)
Модифицированны и оптимизированы команды COOR, COORN, COORT, добавлена команда COORNP
COORNP - COORNP + Point - отрисовка точек в узлах полилинии. Файл Ecoor.zip
*** Добавлено 15 мая 2010
В архиве Ecoor.zip изменен принцип получения координат LW полилинии. Теперь координаты полилинии получаются как X,Y,Elevation (уровень)
Хотя предназначалось не для меня,но хотел бы поблагодарить. Сильно облегчило жизнь
isheedo вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 24.02.2011, 12:39
#58
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,477
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


isheedo, Наздоровье
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 17.03.2011, 09:05
#59
isheedo


 
Регистрация: 18.02.2011
Сообщений: 3


2VVA
Если использовать команду coorn,то на чертеже проставляются номера точек,что чрезвычайно удобно. Нельзя ли добавить возможность помимо номеров точек отрисовывать окружность вокруг точки с задаваемым радиусом? В автолиспе не понимаю,но догадываюсь,что делается это несложно. Заранее спасибо
isheedo вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 17.03.2011, 11:07
#60
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,477
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


isheedo,
Цитата:
COORNP - COORNP + Point - отрисовка точек в узлах полилинии. Файл Ecoor.zip
Если для точки настроить PDMODE = 33 (круг) и соответственно установить нужный PDSIZE не подойдет?
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 18.03.2011 в 10:00. Причина: орфография
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Экспорт координат выбранных точек в *.txt

Инженерные консультации
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Экспорт координат из dxf в txt eilukha Вертикальные решения на базе AutoCAD 14 26.04.2008 21:53
Нумерация точек на плане и вывод их координат в полярной системе kukuikar Программирование 1 17.02.2008 11:15
Получение текстового массива координат точек. Камыч AutoCAD 5 30.07.2007 12:28
Помощь по Лире Серега М Лира / Лира-САПР 52 28.05.2007 02:47
простановка реальных ординатных размеров (координат точек) AnnaT AutoCAD 7 15.06.2005 17:56

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы